#include <9pm/u.h>
#include <9pm/libc.h>
#include <9pm/ns.h>

/*
 * Multiprocess programs using the thread library
 * link their own version of pm_getproc instead of this one.
 */

static Proc theproc;

Proc*
getproc(void)
{
	return &theproc;
}

void
wake(Proc *p)
{
	USED(p);
	fprint(2, "pm_wake called in single-process program\n");
	abort();
}

void
nap(void)
{
	fprint(2, "pm_nap called in single-process program\n");
	abort();
}
